Page MenuHomePhabricator

Enable the Incubator-specific extension on the Wikimedia Incubator
Closed, ResolvedPublic

Description

Please enable the "WikimediaIncubator" extension on the Wikimedia Incubator, created by myself specifically for Incubator (hence the name :p).
Discussion can be found at [[incubator.Incubator:CP#MediaWiki_extension_2]].


Version: unspecified
Severity: enhancement
URL: http://incubator.wikimedia.org/

Details

Reference
bz18788

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:36 PM
bzimport set Reference to bz18788.
bzimport added a subscriber: Unknown Object (MLST).
SPQRobin created this task.May 13 2009, 5:13 PM
brion added a comment.May 13 2009, 5:14 PM

Marking need-review and assigning to myself for said review of extension code.

Tim Starling did a review on r50188, which has been applied in r51123.

pablo.manzano wrote:

This bug would be very necessary and extremely useful for main users at Incubator, could it please be given some priority? Thanks.

Could this extension be enabled, please? It's been almost a year.
Thank you very much.

Removed keyword needs-review since according to comment 2 its been reviewed, and added keyword shell.

bugs wrote:

Rob, according to the comments by Robin, it looks like Tim reviewed this already (granted over a year ago), so it's just waiting for a shell user to add it.

After asking on IRC, apparently review is still needed for r51123 and commits to the extensions since then, so adding "need-review".

r51123 has been reviewed, and I didn't find any other revision that needs review, so removing "need-review".

So I suppose it can be enabled now...

I'm adding this to my review queue, I'll probably review it this week.

For everyone's information, the community at Incubator are patiently waiting for the extension to be enabled (even after 2 years, hoping it would be enabled this year). Robin has created a development wiki to test out this extension.

http://robinpepermans.be/mw-dev/index.php?title=Main_Page

Everyone is welcome to give comments and test out the extension on that wiki. It runs on the trunk version of MediaWiki (1.18alpha).

(In reply to comment #9)

I'm adding this to my review queue, I'll probably review it this week.

Robin poked me about this at the Berlin conference. I gave the code a quick 5-minute scan which revealed a few security issues. After he'd fixed those, I did a complete review of the extension on my way home. My review notes are at [[mw:User:Catrope/Extension_review/Incubator]]

(In reply to comment #10)

It runs on the trunk version of MediaWiki (1.18alpha).

The wiki currently runs on 1.19alpha.

Hydriz added a comment.Jun 4 2011, 3:46 AM

Extension has been scheduled to be deployed on June 6 (as what I can see in [1]).

[1] http://wikitech.wikimedia.org/view/Software_deployments

(In reply to comment #13)

Extension has been scheduled to be deployed on June 6 (as what I can see in
[1]).

[1] http://wikitech.wikimedia.org/view/Software_deployments

That's right. I forgot to update this bug, sorry about that.

Extension has been deployed and all necessary fixes has been done.